/**
 * @package css-modules-types-loader
 * @license MIT
 * @version 0.6.3
 * @author nuintun <nuintun@qq.com>
 * @description A webpack loader that dynamically generates TypeScript typings for CSS modules from css-loader.
 * @see https://github.com/nuintun/css-modules-types-loader#readme
 */

'use strict';

/**
 * @module schema
 */
const schema = {
  type: 'object',
  properties: {
    banner: {
      type: 'string',
      description: 'To add a banner prefix to each `*.d.ts` file.'
    },
    eol: {
      type: 'string',
      description: 'Newline character in `*.d.ts` file. Use `\\n` by default.'
    }
  },
  additionalProperties: false
};

exports.schema = schema;
